import React, { DetailedHTMLProps, ReactNode } from 'react';
declare type HtmlInputProps = DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>;
export interface InputProps extends Omit<HtmlInputProps, 'onChange'> {
    icon?: ReactNode;
    groupIcon?: ReactNode;
    state?: 'error' | 'success';
    error?: string;
    onClickIcon?: () => void;
    onChange: (value: string) => void;
}
export declare const Input: ({ className, icon: baseIcon, onClickIcon: baseOnClickIcon, groupIcon, state, error, onChange, ...props }: InputProps) => JSX.Element;
export {};
