"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const classNames_1 = require("../../utils/classNames");
const Tab_1 = require("./Tab");
const TabGroup = ({ defaultTab = 0, tabs, children, className, ...props }) => {
    const classes = (0, classNames_1.classNames)('bas tab-group', className);
    const [activeTabIndex, setActiveTabIndex] = (0, react_1.useState)(defaultTab);
    const tabClassName = (index, disabled) => {
        return disabled
            ? 'disabled'
            : index === activeTabIndex
                ? 'enabled active'
                : 'enabled';
    };
    const onClickBehaviour = (index, disabled) => {
        if (disabled)
            return;
        setActiveTabIndex(index);
    };
    return ((0, jsx_runtime_1.jsxs)("div", { ...props, className: classes, children: [(0, jsx_runtime_1.jsx)("div", { className: "ribbon-container", children: (0, jsx_runtime_1.jsx)("div", { className: "ribbon", role: "tablist", "aria-label": "bas tabs", children: tabs.map((tab, index) => {
                        return ((0, jsx_runtime_1.jsx)(Tab_1.Tab, { className: tabClassName(index, tab.disabled), index: index, active: index === activeTabIndex, label: tab.label, onKeyDown: (event) => {
                                if (tab.disabled)
                                    return;
                                if (event.key === 'Enter')
                                    setActiveTabIndex(index);
                            }, disabled: tab.disabled, onClick: () => onClickBehaviour(index, tab.disabled) }, index));
                    }) }) }), tabs.map((tab, index) => ((0, jsx_runtime_1.jsx)("div", { role: "tabpanel", "aria-labelledby": 'tab-' + index, id: 'panel-' + index, hidden: index !== activeTabIndex, className: 'panel', children: tab.content }, index)))] }));
};
exports.TabGroup = TabGroup;
//# sourceMappingURL=TabGroup.js.map