"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classNames_1 = require("../../utils/classNames");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const faTimes_1 = require("@fortawesome/pro-regular-svg-icons/faTimes");
const Tag = ({ label, variant, onClose, withIcon = true, className, ...props }) => {
    const classes = (0, classNames_1.classNames)('bas tag', variant, !withIcon && 'no-icon', className);
    const renderTagIcon = function () {
        if (withIcon) {
            return ((0, jsx_runtime_1.jsx)("span", { onClick: variant !== 'disabled' ? onClose : undefined, children: (0, jsx_runtime_1.jsx)(react_fontawesome_1.FontAwesomeIcon, { icon: faTimes_1.faTimes }) }));
        }
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, {});
    };
    return ((0, jsx_runtime_1.jsxs)("div", { ...props, className: classes, children: [label, renderTagIcon()] }));
};
exports.Tag = Tag;
//# sourceMappingURL=Tag.js.map