"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toggle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classNames_1 = require("../../utils/classNames");
const Toggle = ({ sizeType, className, onChange, content, disabled = false, checked = false, ...rest }) => {
    const classes = (0, classNames_1.classNames)('bas toggle', sizeType, className, disabled ? 'toggle-disabled' : '', checked ? 'toggle-on' : 'toggle-off');
    const switchOnChange = (event) => {
        const value = event.currentTarget.checked;
        onChange(value);
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: classes, children: [(0, jsx_runtime_1.jsxs)("label", { className: "label switch-label", children: [(0, jsx_runtime_1.jsx)("input", { type: "checkbox", checked: checked, disabled: disabled, onChange: switchOnChange, ...rest }), (0, jsx_runtime_1.jsx)("span", { className: "switch-button" })] }), (0, jsx_runtime_1.jsx)("span", { className: "toggle-content", children: content })] }));
};
exports.Toggle = Toggle;
//# sourceMappingURL=Toggle.js.map